using System;
using System.Web.UI;

namespace GMW
{
    public partial class AssegnaNC : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                fixVisibCtrl();
            }
            mod_elencoNC.eh_selValore += mod_elencoNC_eh_selValore;
        }
        /// <summary>
        /// evento nuovo valore IdxNC selezionato/deselezionato
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void mod_elencoNC_eh_selValore(object sender, EventArgs e)
        {
            fixVisibCtrl();
        }

        private void fixVisibCtrl()
        {
            if (mod_elencoNC.idxNcSel > 0)
            {
                mod_assegnaNC.Visible = true;
                mod_assegnaNC.doUpdate();
            }
            else
            {
                mod_assegnaNC.Visible = false;
            }
        }
    }
}